* {
    margin: 0;
    color: #3A627A;
    font-family: Raleway,sans-serif;
    /*letter-spacing: 1px;*/
}

body {
    min-width: 800px;
    max-width: 1920px;
    margin: 0;
    background-color: #EBF1F5;
}

form { margin: 0; }

input, select, button { width: auto; }

input, button {
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    padding: 4px;
    outline: none;
    border: 1px solid #C7D9E5;
}

button {
    font-weight: bold;
    background-color: #BDD4E3;
}

button[disabled] {
    background-color: #d4dde3;
    filter: grayscale(80%);
}

/* Выравнивание текста */
.center { text-align: center; }
.left { text-align: left; }
.right { text-align: right; }
.justify { text-align: justify; padding: 10px; }
.bolder { font-weight: bold; }
.fontsize-1-5 { font-size: 1.5em }
.fontsize-2 { font-size: 2em }
.fontsize-3 { font-size: 3em }

/* Классы шаблона */
.header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: #FFFFFF;
    padding: 0 3.125%;
    min-height: 100px;
    box-shadow: 0 4px 12px -6px #87A4B7;
}

.header .title{
    min-width: 460px;
    width: 100%;
    font-family: Raleway,sans-serif;
    font-weight: bold;
    font-size: 16pt;
    padding-left: 16px;
}

.user_menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-family: Raleway,sans-serif;
    font-size: 10pt;
}

.user_menu .user_name{
    max-height: 60px;
    overflow-y: hidden;
    padding-right: 10px;
}

.user_menu .logout_button_div {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media screen and (max-width: 1024px) {
    .user_menu .user_name{
        display: none;
    }
}

.content {
    font-family: Raleway,sans-serif;
    font-size: 12pt;
    min-width: 1024px;
    width: 93.75%;
    background-color: #FFFFFF;
    margin: 20px auto;
    border-radius: 5px;
    box-shadow: 0 4px 12px -6px #87A4B7;
}

.content .main {
    margin-top: 10px;
    padding: 0 20px 20px 20px;
}

.section {
    font-family: Raleway,sans-serif;
    font-size: 12pt;
    border-radius: 5px;
    box-shadow: 0 4px 12px -6px #87A4B7;
    padding-bottom: 10px;
}

.section .title {
    font-weight: bold;
    padding: 20px;
    border-radius: 5px;
}

.section .sub_title {
    font-weight: bold;
    padding: 3px;
    border-radius: 5px;
}

.mainMenu {
    font-family: Raleway,sans-serif;
    font-size: 12pt;
    background-color: #FFFFFF;
    padding: 0 20px 0 20px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    height: 36px;
    border-bottom: 1px solid #C7D9E5;
    border-radius: 5px;
    box-shadow: 0 4px 12px -6px #87A4B7;
}

.mainMenu .item {
    padding: 4px 8px;
}

.mainMenu .item  a {
    font-size: 12px;
    font-weight: bold;
    text-decoration: none;
}

.mainMenu .item  a:hover {
    color: #000000;
    text-decoration: underline;
}

.mainMenu .spliter {
    height: 16px;
    width: 1px;
    background: #C7D9E5;
}

.footer {
    height: 32px;
    font-family: Raleway,sans-serif;
    font-size: 10pt;
    color: #ffffff;
    padding-left: 30px;
}

.footer p{
    display: inline-block;
    margin-top: 8px;
    margin-bottom: 9px;
}

/* ТАБЛИЦЫ */
.table {
    font-family: Raleway,sans-serif;
    width: 98%;
    margin: auto;
    border-collapse: collapse;
    border-radius: 5px;
}

.borders {
    border-top: 1px solid #EBF1F5;
}

.borders tr {
    border-left: 1px solid #EBF1F5;
}

.borders td, .borders th {
    border-right: 1px solid #EBF1F5;
    border-bottom: 1px solid #EBF1F5;
}

.table button, .table input[type=text], .table select, .table textarea, .table .ui-selectmenu-button {
    font-family: Raleway,sans-serif;
    height: 100%;
    width: 100%;
    min-width: 50px;
}

.table thead tr th {
    background-color: #FFFFFF;
    color: #3A627A;
}

.table td, .table th{
    padding: 3px;
}

tbody .jsbutton:hover {
    background-color: #D5DCE8;
    cursor: pointer;
}

.dialogoutput {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
}

.paginator {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

.paginator input {
    width: 90%;
    height: 30px;
}

.paginator button {
    width: 5%;
    height: 30px;
    margin: 0 10px;
}

.loading_screen {
    z-index: 1000000000;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
    opacity: 0.4;
    background-color: lightslategray;
    background-image: url("images/loading.gif");
    background-repeat: no-repeat;
    background-size: 50px;
    background-position: center;
}

/* ---------ЦВЕТА ФОНА---------- */
.bkgFFFFFF{ background-color: #FFFFFF; }
.bkgE5ECF6{ background-color: #E5ECF6; }
.bkgD5DCE8{ background-color: #D5DCE8; }
.bkgA3B7D0{ background-color: #A3B7D0; }

.error { color: red; font-weight: bold; }
.red { color: red; }
.hidden { display: none; }
.width100 { width: 100%; }
.systemdialog {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.list p {
    padding-bottom: 16px;
}

/* FlexBox */

.flex {
    display: flex;
}

.flex-row {
    flex-direction: row;
}

.flex-column {
    flex-direction: column;
}

.flex-jc-space-between {
    justify-content: space-between;
}

/* Отступы */

.mt-1 {
    margin-top: 1rem;
}

.mt-2 {
    margin-top: 2rem;
}

.mb-1 {
    margin-bottom: 1rem;
}

.mb-2 {
    margin-bottom: 2rem;
}

.pa-1 {
    padding: 1rem;
}

.pa-2 {
    padding: 2rem;
}